<?xml version="1.0" encoding="UTF-8"?>
<!-- sh, 28.03.08, entwickelt aus new-online-jcms.xslt -->
<!--sh 30.4.08 volume raus -->
<!--sh 19.05.08 feste Adresse nef.css-->
<!--sh 3.2.2010, Erweiterung von 25 auf 30 xsl:value-of select="substring($content,1,30) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="nef_article">
		<html>
			<xsl:choose>
				<xsl:when test="$service='refdownload'">
					<xsl:call-template name="refdownload"/>
				</xsl:when>
				<xsl:when test="$include='cit'">
					<xsl:call-template name="citation"/>
				</xsl:when>
				<xsl:when test="$include='ref'">
					<xsl:call-template name="citation"/>
				</xsl:when>
				<xsl:when test="$include='all'">
					<xsl:call-template name="all"/>
				</xsl:when>
				<xsl:otherwise>
					<head>
						<title>NORDEUROPAforum | Aufsatz | <xsl:value-of select="front/title"/> | edoc-Server  Humboldt-Universität zu Berlin</title>
						<!--<link rel="stylesheet" href="../../../../Converter/nef/style/nef.css" type="text/css"/>-->
						<!--<link rel="stylesheet" href="file:///C:/Converter/nef/style/nef.css" type="text/css"/>-->
						<link>
							<xsl:attribute name="rel">stylesheet</xsl:attribute>
							<xsl:attribute name="href"><xsl:value-of select="$path-css"/></xsl:attribute>
							<xsl:attribute name="type">text/css</xsl:attribute>
						</link>
					</head>
					<body>
						<div class="left">
							<div class="metadata">
								<!--<xsl:attribute name="style">background-repeat: no-repeat; background-image: url(../../../../Converter/nef/style/titelseite.jpg)</xsl:attribute>-->
								<xsl:attribute name="style">background-repeat: no-repeat; background-image: url(<xsl:value-of select="$path-jpg"/>)</xsl:attribute>
								<div class="journal">
									<xsl:apply-templates select="front/metadata/worktype"/>
								</div>
								<div class="journal-full">
									<xsl:apply-templates select="front/metadata/worktitle"/>
								</div>
								<div class="issn">ISSN&#160;<xsl:value-of select="front/metadata/issn"/>
								</div>
								<div class="number">
									<xsl:value-of select="front/metadata/number"/>/<xsl:value-of select="front/metadata/year"/>
								</div>
								<div class="volume">
									<xsl:value-of select="front/metadata/volume"/>
								</div>
								<div class="pages">Seiten&#160;<xsl:value-of select="front/metadata/pages"/>
								</div>
							</div>
							<xsl:comment>
								end div metadata
							</xsl:comment>
							<xsl:call-template name="tableofcontents"/>
						</div>
						<xsl:comment>
								end div left
							</xsl:comment>
						<div class="right">
							<div class="title">
								<a name="start"/>
								<h1 class="articletitle">
									<xsl:apply-templates select="front/articletitle | front/title" mode="nef"/>
								</h1>
								<xsl:if test="front/subtitle">
									<h2 class="articlesubtitle_nef">
										<xsl:apply-templates select="front/subtitle"/>
										<br/>
									</h2>
								</xsl:if>
								<xsl:for-each select="//author">
									<div class="author_nef">
										<xsl:apply-templates select="."/>
									</div>
								</xsl:for-each>
							</div>
							<xsl:apply-templates select="front/abstract"/>
							<xsl:apply-templates select="front/vita"/>
							<hr/>
							<br/>
							<xsl:apply-templates select="body"/>
							<xsl:apply-templates select="back/translator"/>
							<div class="back">
								<xsl:if test="back/bibliography">
									<div class="bibliography">
										<xsl:apply-templates select="back/bibliography"/>
									</div>
								</xsl:if>
								<xsl:if test="back/endnote">
									<div class="endnote">
										<xsl:apply-templates select="back/endnote"/>
									</div>
								</xsl:if>
								<xsl:if test="back/note/np">
									<div class="np">
										<xsl:apply-templates select="back/note/np"/>
									</div>
								</xsl:if>
							</div>
							<xsl:if test="//footnote">
								<br/>
								<xsl:apply-templates select="//footnote" mode="endbody"/>
							</xsl:if>
							<div class="back-nef"/>
						</div>
					</body>
				</xsl:otherwise>
			</xsl:choose>
		</html>
	</xsl:template>
	<xsl:template match="body">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="abstract">
		<h3 class="chaptertitle_nef">
			<xsl:apply-templates select="head"/>
		</h3>
		<p class="rabstract">
			<xsl:apply-templates select="*[name() != 'head']"/>
		</p>
	</xsl:template>
	<xsl:template match="section">
		<h4 class="sectiontitle_nef">
			<xsl:apply-templates select="head"/>
		</h4>
		<p class="rabstract">
			<xsl:apply-templates select="*[name() != 'head']"/>
		</p>
	</xsl:template>
	<xsl:template match="subsection">
		<h5 class="subsectiontitle_nef">
			<xsl:apply-templates select="head"/>
		</h5>
		<p class="rabstract">
			<xsl:apply-templates select="*[name() != 'head']"/>
		</p>
	</xsl:template>
	<xsl:template match="vita">
		<div class="author_nef">
			<xsl:apply-templates/>
		</div>
	</xsl:template>
	<xsl:template name="tableofcontents">
		<div class="toc_nef">
			<p class="toc_nef">
				<a>
					<xsl:attribute name="href">#start</xsl:attribute>Textanfang</a>
			</p>
			<xsl:for-each select="//head">
				<p class="toc_nef">
					<a>
						<xsl:attribute name="href">#link<xsl:value-of select="position()"/></xsl:attribute>
						<xsl:attribute name="title"><xsl:value-of select="."/></xsl:attribute>
						<!--<xsl:value-of select="substring(.,1,25)"/>-->
						<xsl:call-template name="content-head"/>
					</a>
				</p>
			</xsl:for-each>
			<xsl:if test="//footnote">
				<p class="toc_nef">
					<a>
						<xsl:attribute name="href">#footnote</xsl:attribute>
						<!--<xsl:attribute name="title"><xsl:value-of select="."/></xsl:attribute>-->
						Fußnoten
					</a>
				</p>
			</xsl:if>
			<br/>
			<p class="toc_nef">
				<a href="http://www.nordeuropaforum.de">zur Startseite</a>
			</p>
		</div>
		<xsl:comment>
								end div toc_nef
							</xsl:comment>
	</xsl:template>
	<xsl:template name="content-head">
		<xsl:variable name="content">
			<xsl:apply-templates select="text()"/>
		</xsl:variable>
		<xsl:value-of select="substring($content,1,30)"/>
	</xsl:template>
	<xsl:template match="blockquote">
		<div class="blockquote_nef">
			<xsl:apply-templates/>
		</div>
	</xsl:template>
	<xsl:template match="translator">
		<div class="translator_nef">
			<xsl:apply-templates select="p/* | p/text()"/>
			<br/>
		</div>
	</xsl:template>
</xsl:stylesheet>
